@rem = '--*-Perl-*--
@echo off
if "%OS%" == "Windows_NT" goto WinNT
perl -x -S "%0" %1 %2 %3 %4 %5 %6 %7 %8 %9
goto endofperl
:WinNT
perl -x -S "%0" %*
if NOT "%COMSPEC%" == "%SystemRoot%\system32\cmd.exe" goto endofperl
if %errorlevel% == 9009 echo You do not have Perl in your PATH.
goto endofperl
@rem ';
#!/sw/bin/perl
#line 14

$self = $0;
$self =~ s!^.*/!!;

$source = "/usr/develop/modules/";
$target = "/usr/tmp/modules/";
$module = "current";

$source =~ s!/$!!;
$target =~ s!/$!!;

unless (-l "$source/$module")
{
    die "$self: current module '$module' is not a symbolic link!\n";
}

$module = readlink("$source/$module");

unless (-d "$source/$module")
{
    die "$self: current module '$module' is not available!\n";
}

&make_perl  ("chdir('$source/$module/')");
&make_system('find . -type d -exec chmod 0755 {} \;');
&make_system('find . -type f ! -name "*.bak" -exec /sw/bin/cleanup {} \;');
&make_system('find . -type f   -name "*.bak" -exec rm -f {} \;');
&make_system('find . -exec chown 0.0 {} \;');
&make_system('find . -type f -exec chmod a-w,a+r {} \;');
&make_system('find . -type f -name "*.pl" -exec chmod a+x {} \;');
&make_system('find . -type f -name "*.sh" -exec chmod a+x {} \;');
&make_system('find . -exec touch {} \;');
&make_perl  ("chdir('$source/$module/bak/')");
&make_system("perl Makefile.PL");
&make_system("make dist");
&make_system("chown 0.0 $module.tar.gz");
&make_system("chmod 444 $module.tar.gz");
&make_system("rm -f ../../$module.tar.gz");
&make_system("mv $module.tar.gz ../../");
&make_system("make realclean");

exit;

sub make_system
{
    my($command) = @_;

    print "$command\n";
    system($command);
}

sub make_perl
{
    my($command) = @_;

    print "$command\n";
    eval "$command";
}
__END__
:endofperl
