@rem = '--*-Perl-*--
@echo off
if "%OS%" == "Windows_NT" goto WinNT
perl -x -S "%0" %1 %2 %3 %4 %5 %6 %7 %8 %9
goto endofperl
:WinNT
perl -x -S "%0" %*
if NOT "%COMSPEC%" == "%SystemRoot%\system32\cmd.exe" goto endofperl
if %errorlevel% == 9009 echo You do not have Perl in your PATH.
goto endofperl
@rem ';
#!/sw/bin/perl
#line 14

$self = $0;
$self =~ s!^.*/!!;

$source = "/usr/develop/modules/";
$target = "/usr/tmp/modules/";
$module = "current";

$source =~ s!/$!!;
$target =~ s!/$!!;

unless (-l "$source/$module")
{
    die "$self: current module '$module' is not a symbolic link!\n";
}

$module = readlink("$source/$module");

unless (-d "$target/$module")
{
    die "$self: current module '$module' is not available!\n";
}

&make_perl  ("chdir('$target/$module/')");
&make_system('make pure_install UNINST=1');

exit;

sub make_system
{
    my($command) = @_;

    print "$command\n";
    system($command);
}

sub make_perl
{
    my($command) = @_;

    print "$command\n";
    eval "$command";
}
__END__
:endofperl
